mutation updateCustomFertilizer(
  $customFertilizerId: Int!
  $name: String!,
  $organic: Boolean!,
  $customFertilizerElements: [custom_fertilizer_element_insert_input!]!
) {
  delete_custom_fertilizer_element(where: { fertilizer_id: { _eq: $customFertilizerId } }) {
    affected_rows
  }

  insert_custom_fertilizer_element(objects: $customFertilizerElements) {
    affected_rows
  }

  update_custom_fertilizer_by_pk(
    pk_columns: { id: $customFertilizerId }
    _set: {
      name: $name,
      organic: $organic
    }
  ) {
    id
  }
}
